/*
 Theme Name:   OceanWP Child
 Description:  Child Theme des high-performance WP-Theme OceanWP
 Author:       Philipp Limbeck
 Author URI:   https://insyde.at/
 Template:     oceanwp
 Version:      1.0
 Text Domain:  oceanwp-child
*/

/* overwrite general settings of oceanwp for focus of links (black border) */
#main a:focus,
#site-header a:focus,
#footer a:focus{
	outline: 0px !important;
}

:root {
    --farbe-weiss: #FFFFFF;
	--farbe-schwarz: #1D1D1B;
	--farbe-gelb: #D8A605;
	--farbe-blau: #305876;
	--farbe-gruen: #7B9E6A;
	--farbe-rot: #C50637;
	--farbe-braun: #55433B;
	--farbe-grau: #897C72;
	
	--geboxte-zeile: 11vw;
}


/* Allgemein Beginn */
div.geboxte-zeile{
	padding-left: var(--geboxte-zeile);
	padding-right: var(--geboxte-zeile);
}

div.geboxter-lauftext{
	max-width: 28vw;
}

div.wpb_text_column{
	margin-bottom: 25px;
}

#erholung-schilf {
    position: absolute;
    bottom: -40px; /* je nach Wunsch anpassen */
    left: 50%;
    transform: translateX(-50%);
    z-index: 5;
    pointer-events: none; /* optional */
}

.dreier-kreis-sektion{
	margin-top: 2vw;
	margin-bottom: 5vw;
}
.dreier-kreis-sektion .wpb_single_image img{
	max-width: 360px;
	height: auto;
}
.dreier-kreis-sektion h3{
	max-width: 18vw;
    margin: 0 auto;
}

/* ///// */

.zeile-hintergrund-blau{
	color: var(--farbe-weiss);
	margin-bottom: 2vw;
}
.zeile-hintergrund-blau h3{
	color: var(--farbe-weiss);
}
.zeile-hintergrund-blau .wpb_single_image{
	margin-bottom: 0;
}
#main .zeile-hintergrund-blau .zeile-hintergrund-blau-textspalte .vc_column-inner{
	padding-left: 5vw;
    padding-right: 10vw;
}
.zeile-hintergrund-blau div.geboxter-lauftext{
	max-width: 33vw;
}


.gmeiner-partner {
   /* background: #efefef;
    padding: 40px 0;*/
}

.gmeiner-partner-track {
    display: flex;
    justify-content: center;
    /*align-items: center;*/
    gap: 50px;
    /*flex-wrap: wrap;
    max-width: 1400px;
    margin: 0 auto;*/
}

/* WICHTIG: Anchor als Wrapper */
.gmeiner-partner-track a {
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Logos */
.gmeiner-partner-track img {
    max-width: 160px;
    height: auto;
    display: block;

    opacity: 0.7;
    filter: grayscale(100%);
    transition: all 0.3s ease;
}

/* Hover auf Link → Bild reagiert */
.gmeiner-partner-track a:hover img {
    opacity: 1;
    filter: grayscale(0%);
}

/* Optional: leichter Lift */
.gmeiner-partner-track a:hover {
    transform: translateY(-2px);
}

/* Mobile */
@media all and (max-width: 768px) {
    .gmeiner-partner-track {
        gap: 25px;
    }

    .gmeiner-partner-track img {
        width: 80px;
    }
}
/* Allgemein Ende */




/* Leiste ganz oben Beginn */
#top-bar-content,
#top-bar-content .topbar-content {
    width: 100%;
}

#top-bar-content .gmeiner-topbar {
    display: flex;
    /*justify-content: space-between;
    align-items: center;
    width: 100%;*/
}

#top-bar-content .gmeiner-topbar-left {
    display: block;
}

#top-bar-content .gmeiner-topbar-right {
    display: flex;
    align-items: center;
    gap: 4vw;
    margin-left: auto;
}
/* Leiste ganz oben Ende */





/* Lauftext - Marquee unter dem Menü auf der Startseite Beginn */
.gmeiner-alert {
    background: var(--farbe-gelb);
    color: var(--farbe-weiss);
    overflow: hidden;
    white-space: nowrap;
    font-size: 16px;
    text-transform: uppercase;
}

.gmeiner-alert span {
    display: inline-block;
    padding-left: 100%;
    animation: gmeiner-marquee 18s linear infinite;
}

@keyframes gmeiner-marquee {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}
/* Lauftext - Marquee unter dem Menü auf der Startseite Ende */





/* Header Beginn */
.gmeiner-home-hero{
	margin-bottom: 2vw;
}

.gmeiner-home-hero .gmeiner-home-hintergrundbild .vc_single_image-wrapper {
    display: block;
    width: 100%;
    max-width: none;
    margin: 0;
    padding: 0;
    border: 0;
    background: transparent;
    box-shadow: none;
}

/* Bild */
.gmeiner-home-hero .gmeiner-home-hintergrundbild img {
    display: block;
    object-fit: cover;
    object-position: center center;
}

/* TEXT */
.gmeiner-home-hero .gmeiner-home-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -54%);
    width: 80vw;
	z-index: 5;
}

.gmeiner-home-hero .gmeiner-home-text h1 {
    text-shadow: 0px 4px 4px #00000025;
}

.gmeiner-home-hero .gmeiner-home-text .header-subheadline {
	font-family: "Karla";
	font-size: 40px;
	font-weight: 400;
	color: var(--farbe-weiss);
    margin: 0 auto;
	max-width: 50vw;
	line-height: 1.2;
	text-shadow: 0px 4px 4px #00000025;
}

/* SVG FORM */
.gmeiner-home-hero .gmeiner-home-neusiedlersee {
    position: absolute;
    top: 18%;
    right: 2.5%;
    /*transform: translateY(-49%);*/
}

/* BUTTON */
.gmeiner-home-hero .gmeiner-home-hero-button {
    position: absolute;
    left: 50%;
    bottom: 3vw;
    transform: translateX(-50%);
    z-index: 6;
    margin: 0 !important;
}
/* Header Ende */







@media all and (max-width: 767px) {
	/* Leiste ganz oben Beginn */
    #top-bar-content .gmeiner-topbar {
        flex-direction: column;
        align-items: flex-start;
        gap: 8px;
    }

    #top-bar-content .gmeiner-topbar-right {
        margin-left: 0;
        flex-wrap: wrap;
        gap: 12px;
    }
	/* Leiste ganz oben Ende */
	
	.insyde-hide-mobile {
		display: none;
	}
}
@media all and (min-width: 768px) {
	.insyde-hide-desktop {
		display: none;
	}
}




    





/* Insyde registrierter Button Beginn */
.insyde-button-wrap.align-left {
	text-align: left;
}
.insyde-button-wrap.align-center {
	text-align: center;
}
.insyde-button-wrap.align-right {
	text-align: right;
}

.insyde-simple-btn {
	display: inline-block;
	padding: 8px 20px;
	line-height: 1.1;
	font-size: 16px;
	font-weight: 500;
	text-align: center;
	font-family: "DM Sans";
}

.insyde-simple-btn:hover {
	background-color: var(--hover-bg);
	color: var(--hover-text);
}

#main .insyde-simple-btn{
	text-decoration: none;
}

.insyde-simple-btn .insyde-button-text {
	color: inherit;
}
/* Insyde registrierter Button Ende */
